
  <div id="payroll">
    <div class="columns" v-if="index">
      <div class="column col-4 space">
        <span class="badge h3" :data-badge="this.total">
          Employee Payroll
        </span>
      </div>
      <div class="column col-8">
        <div class="float-right">
          <a class="btn btn-sm t_btn" href="#modal-id">Run Payroll</a>
          <button class="btn btn-sm t_btn">Upload Pay Register</button>
          <span class="dropdown actions">
          <a class="btn btn-link dropdown-toggle" tabindex="0">Actions 
          <img src="<%= Routes.static_path(@conn, "/images/icons/selector.svg") %>" alt="Selector icon" class=""/>
          </a>
          <ul class="menu">
            <li class="action_menu" >Apply Notelet</li>
            <li class="action_menu" @click="previous">Previous Payroll</li>
            <li class="action_menu">Download Payroll</li>
          </ul>
        </span> 
        </div>
      </div>
      <div class="column col-4 col-ml-auto" v-if="previousView">
        <div class="columns">
          <div class="column col-4">
            <div class="form-group">
              <label class="form-label" for="start_date">Start Date</label>
              <input class="new_form_input" type="date" id="start_date" v-model="start_date" />
            </div>
          </div>
          <div class="column col-4">
            <div class="form-group">
              <label class="form-label" for="end_date">End Date</label>
              <input class="new_form_input" type="date" id="end_date" v-model="end_date" @change="getPayrunIds" />
            </div>
          </div>
          <div class="column col-4">
            <div class="form-group">
              <label class="form-label" for="payrunId">Payrun ID</label>
              <select class="new_form_input" type="text" id="payrunId" placeholder="payrun_id" v-model="payrunId" @change="previousPayrun">
                <option v-for="payrunId in payrunIds" v-bind:value="payrunId" :key="payrunId">{{ payrunId }}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <div class="column col-12">
        <data-tables-server  :data="payruns" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" >
          <el-table-column type="selection" width="55">
          </el-table-column>
          <el-table-column label="Payrun" sortable="custom">
            <template slot-scope="scope">
              <span
              v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
                @click="getPayrun(scope.row.id)">100{{ scope.row.id }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Start Date" sortable="custom">
            <template slot-scope="scope">
              <span >
                {{ scope.row.start_date }}
              </span>
            </template>
          </el-table-column>
          <el-table-column label="End Date">
            <template slot-scope="scope">
              <span>{{ scope.row.end_date }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Employee Type" sortable="custom">
            <template slot-scope="scope">
              <span>{{ scope.row.employee_type }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Pay Type">
            <template slot-scope="scope">
              <span>{{ scope.row.pay_type }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Earnings">
            <template slot-scope="scope">
              <span>{{ formatNumber(scope.row.earnings) }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Deduction">
            <template slot-scope="scope">
              <span>{{ formatNumber(scope.row.deductions) }}</span>
            </template>
          </el-table-column>
          <el-table-column label="Net Pay">
            <template slot-scope="scope">
              <span>{{ formatNumber(scope.row.earnings + scope.row.deductions) }}</span>
            </template>
          </el-table-column>
        </data-tables-server>
      </div>
    </div>
    <div class="col-12" v-if="show">
      <button class="btn btn-secondary" @click="showIndex">Back</button>
    </div>
    <PayRegister v-if="show" :payslip_data=payslip_data></PayRegister>
    <Payroll></Payroll>
    <Payslip @close="closePayslip" v-if='display_payslip' :payslip_data=payslip_data :display_payslip=display_payslip></Payslip>
    <PayrollSearch @close="closePayrollSearch" v-if='display_payroll_search' :display_payroll_search=display_payroll_search></PayrollSearch>
  </div>